PDA

View Full Version : Help on my GeForce2 MX400



fitafits
11-23-2012, 12:04 AM
Hi everyone.

I need some help on how to update my old NVIDIA video card to play a game (Minecraft) which requires atleast OpenGL 1.3. Here's the specs of my GPU:


Card name: NVIDIA GeForce2 MX/MX 400 (Microsoft Corporation)
Manufacturer: NVIDIA
Chip type: GeForce2 MX/MX 400
DAC type: Integrated RAMDAC
Device Key: Enum\PCI\VEN_10DE&DEV_0110&SUBSYS_6330144D&REV_B2
Display Memory: 64.0 MB
Current Mode: 1024 x 768 (32 bit) (60Hz)
Monitor: Default Monitor
Monitor Max Res:
Driver Name: nv4_disp.dll
Driver Version: 6.14.0010.5673 (English)
DDI Version: 9 (or higher)
Driver Attributes: Final Retail
Driver Date/Size: 4/14/2008 17:42:04, 4274816 bytes
WHQL Logo'd: n/a
WHQL Date Stamp: n/a
VDD: n/a
Mini VDD: nv4_mini.sys
Mini VDD Date: 4/14/2008 10:04:32, 1897408 bytes
Device Identifier: {D7B71E3E-4250-11CF-D461-3A4313C2CB35}
Vendor ID: 0x10DE
Device ID: 0x0110
SubSys ID: 0x6330144D
Revision ID: 0x00B2
Revision ID: 0x00B2
Video Accel: ModeMPEG2_A ModeMPEG2_B ModeMPEG2_C ModeMPEG2_D
Deinterlace Caps: {212DC723-3235-44A4-BD29-E1652BBCC71C}: Format(In/Out)=(YUY2,YUY2) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_MedianFiltering
{335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(YUY2,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_BOBVerticalStretch
{212DC723-3235-44A4-BD29-E1652BBCC71C}: Format(In/Out)=(UYVY,UYVY) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_MedianFiltering
{335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(UYVY,UYVY) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_BOBVerticalStretch
{212DC723-3235-44A4-BD29-E1652BBCC71C}: Format(In/Out)=(YV12,0x32315659) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_MedianFiltering
{335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(YV12,0x32315659) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_BOBVerticalStretch
{212DC723-3235-44A4-BD29-E1652BBCC71C}: Format(In/Out)=(NV12,0x3231564e) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_MedianFiltering
{335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(NV12,0x3231564e) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_BOBVerticalStretch
Registry: OK
DDraw Status: Enabled
D3D Status: Enabled
AGP Status: Enabled
DDraw Test Result: Not run
D3D7 Test Result: Not run
D3D8 Test Result: Not run
D3D9 Test Result: Not run

When I try to run the game, it says I have a "bad video card driver and it can't find any accelerated Open GL mode". Maybe my video card doesn't have OpenGL at all or I dunno... so how do I update my video card driver to have at least Open GL 1.3? I don't have internet connection on my old computer so I guess I do need to have an offline updater or some kind of an installer to have it. thanks..

Aleksandar
11-23-2012, 03:19 AM
That is a more than 12 years old graphics card and it is not supported in NV drivers for years.
Try to install some old NV Forceware drivers (ver < 100). For example, this (http://www.nvidia.com/object/winxp_2k_94.24_2.html) one.

fitafits
11-23-2012, 03:37 AM
^
Thanks.
I've downloaded the forceware... so this comes with the OpenGL thing, or do I need to get it somewhere else?

Aleksandar
11-23-2012, 04:10 AM
OpenGL is built in drivers. So, everything depends only on your hardware and drivers. Download the latest drivers that support your hardware, and that's the maximum you can get.

fitafits
11-28-2012, 08:08 PM
hi guys, i need to UP this thread again.

I've updated my driver but when I use glcap viewer, it says that I have OpenGL 1.1.0.. how do I update my OpenGL version to 1.3... or have an accelerated OpenGL?

Aleksandar
11-29-2012, 02:29 PM
I've never heard about glcap viewer. What are the strings returned by glGetString(GL_VERSION) and glGetString(GL_VENDOR)?
Probably you still have problems with the driver. First, try to completely remove (uninstall) current driver, and then install a fresh copy. Also, maybe those drivers are not adequate for your card. Try with some older ones.

V-man
12-01-2012, 07:51 AM
It might be because of the OS. Perhaps nVidia didn't bother with XP, VISTA and 7. You might need Win 98, Me, or 2000. Or try some linux (ubuntu, kubuntu, etc)